 %************************************************************************
%      SUBROUTINE DENS(PATH)
%************************************************************************
function [PATH] = DENS(PATH)
    global NSPEC ...
            XNS ...
            DNSDRR ...
            DNSDTH ...
            DNSDPH ...
            XNDE ...
            DNDDRR ...
            XNLI DNLDRR ...
            XNAO DNADRR DNADTH DNADPH ...
            XNOP DNODRR DNODTH DNODPH

    PATH = DENSDE(PATH);
    PATH = DENSLI(PATH);
    PATH = DENSAO(PATH);
    PATH = DENSOP(PATH);

    XNS(1 : NSPEC) = XNDE(1 : NSPEC) * XNLI * XNAO * XNOP;
    DNSDRR(1 : NSPEC) = DNDDRR(1 : NSPEC) + DNLDRR + DNADRR + DNODRR;
    DNSDTH(1 : NSPEC) = (DNADTH + DNODTH) * ones(1, NSPEC);
    DNSDPH(1 : NSPEC) = (DNADPH + DNODPH) * ones(1, NSPEC);
end
