%
% read input parameters
%
function prm = input_param(input_filename)
  prm = [];
  try
    [str1, str2] = textread(input_filename,'%s%s','delimiter','=;','commentstyle','matlab');
  catch
    errordlg(sprintf('Can''t open input file: %s',input_filename),'Error')
    return
  end

  for l = 1:length(str1)
    value = eval(char(str2(l)));
    prmname= char(strread(char(str1(l)),'%s'));
    switch prmname
      case 'N'
        prm.N = value;
      case 'M'
        prm.M = value;
      case 'th00'
        prm.th00 = value;
      case 'ph00'
        prm.ph00 = value;
      case 'dl00'
        prm.dl00 = value;
      case 'es00'
        prm.es00 = value;
      case 'XLPP'
        prm.XLPP = value;
      case 'NLPMAX'
        prm.NLPMAX = value;
      case 'unit_fq00'
        prm.unit_fq00 = value;
    end
  end
return;
