%--------------------------------------------------------------------
% save parameters
%--------------------------------------------------------------------
function save_param(filename, prm)

  fid = fopen(filename,'w');

  fprintf(fid,'%  Raytracing / input parameters\n\n');


  fprintf(fid,'% --  --\n');
  fprintf(fid,'N = %f;\n',prm.N);
  fprintf(fid,'M = %f;\n',prm.M);
  fprintf(fid,'unit_fq00 = %f;\n',prm.unit_fq00);
  fprintf(fid,'th00 = %f;\n',prm.th00);
  fprintf(fid,'ph00 = %f;\n',prm.ph00);
  fprintf(fid,'dl00 = %f;\n',prm.dl00);
  fprintf(fid,'es00 = %f;\n',prm.es00);
  fprintf(fid,'XLPP = %f;\n',prm.XLPP);
  fprintf(fid,'NLPMAX = %f;\n',prm.NLPMAX);
  fprintf(fid,'\n');

  fclose(fid);
return;
